 /*
 * file      : win_about.h
 * project   : tm
 * with      : Gtk-2
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TM - Edition des heures de travail / Edition of working hours
 * GNU General Public License
 * 
 * This file is part of TM.
 * 
 * TM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * TM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with TM.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifdef HAVE_CONFIG_H
	#include "../config.h"
#endif

#ifdef ENABLE_NLS
	#include <libintl.h>
	#define _(String) gettext (String)
#endif

#include <gtk/gtk.h>

#ifdef ENABLE_STATIC_LIBRARY
	#include "../lib_tm/lib.h"
#endif

#include "global.h"
#include "win_about.h"



GtkWidget	*WindAbout = NULL;


// 
// 
void on_aboutdialog_tm_response (void)
{
	gtk_widget_hide (WindAbout);
}
// 
// 
gboolean on_aboutdialog_tm_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	gtk_widget_hide (WindAbout);
	return TRUE;
}
// 
// 
gboolean on_aboutdialog_tm_destroy_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	gtk_widget_hide (WindAbout);
	return TRUE;
}
// 
// 
void WinAbout_open (void)
{
	if (NULL == WindAbout) {			
		WindAbout = GTK_WIDGET(GLADE_GET_OBJECT("aboutdialog_tm"));
		gtk_builder_connect_signals (GtkBuilderProjet, NULL);
		gtk_window_set_transient_for (GTK_WINDOW(WindAbout), GTK_WINDOW(WindMain));
		gtk_window_set_modal (GTK_WINDOW (WindAbout), TRUE);
		libutils_set_default_icone_to_win (WindAbout);
	}
	gtk_widget_show (WindAbout);
	
}










